QGIS Application - Feature request #13578

Add double-click behaviour to item in legend items list

2015-10-12 07:25 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 21620
Description

In print composer, add a legend
In its Properties > legend items, uncheck "Auto-update" option so that

you can customize items.

double-clicking an item should open the dialog to modify its text (as if you have clicked the pencil at the bottom)

Another behaviour can be to expand the layer or the group selected

Associated revisions

Revision dbf8d894 - 2016-06-16 10:30 AM - Nyall Dawson

[composer] Double click legend item to edit text (fix #13578)

Revision 4d14d367 - 2016-07-01 10:41 AM - Nyall Dawson

[composer] Double click legend item to edit text (fix #13578)

(cherry-picked from dbf8d89459fb37921c1ce0ddb36ef5c1dd4a608d)

History

#1 - 2016-06-16 01:31 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"dbf8d89459fb37921c1ce0ddb36ef5c1dd4a608d".
